/**
 * @module botframework-connector
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { AppCredentials } from './appCredentials';
import { IJwtTokenProviderFactory } from './jwtTokenProviderFactory';
import { AuthenticatorResult } from './authenticatorResult';
/**
 * Managed Service Identity auth implementation.
 */
export declare class ManagedIdentityAppCredentials extends AppCredentials {
    private readonly tokenProviderFactory;
    private authenticator;
    /**
     * Managed Identity for AAD credentials auth and caching.
     *
     * @param appId Client ID for the managed identity assigned to the bot.
     * @param oAuthScope The scope for the token.
     * @param tokenProviderFactory The JWT token provider factory to use.
     */
    constructor(appId: string, oAuthScope: string, tokenProviderFactory: IJwtTokenProviderFactory);
    /**
     * @inheritdoc
     */
    protected refreshToken(): Promise<AuthenticatorResult>;
}
//# sourceMappingURL=managedIdentityAppCredentials.d.ts.map
