/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { CompositeMapper } from '@azure/core-http';
export declare const ChannelInfo: CompositeMapper;
export declare const ConversationList: CompositeMapper;
export declare const TeamDetails: CompositeMapper;
export declare const TeamInfo: CompositeMapper;
export declare const NotificationInfo: CompositeMapper;
export declare const TenantInfo: CompositeMapper;
export declare const TeamsChannelData: CompositeMapper;
export declare const TeamsChannelDataSettings: CompositeMapper;
export declare const ChannelAccount: CompositeMapper;
export declare const TeamsChannelAccount: CompositeMapper;
export declare const Meeting: CompositeMapper;
export declare const TeamsMeetingParticipant: CompositeMapper;
export declare const TeamsMeetingInfo: CompositeMapper;
export declare const TeamsMeetingDetails: CompositeMapper;
export declare const MeetingNotification: CompositeMapper;
export declare const MeetingNotificationChannelData: {
    serializedName: string;
    type: {
        name: string;
        className: string;
        modelProperties: {
            onBehalfOf: {
                serializedName: string;
                type: {
                    name: string;
                    element: {
                        type: {
                            name: string;
                            className: string;
                        };
                    };
                };
            };
        };
    };
};
export declare const OnBehalfOf: CompositeMapper;
export declare const MeetingNotificationRecipientFailureInfo: CompositeMapper;
export declare const MeetingNotificationResponse: CompositeMapper;
export declare const CardAction: CompositeMapper;
export declare const CardImage: CompositeMapper;
export declare const O365ConnectorCardFact: CompositeMapper;
export declare const O365ConnectorCardImage: CompositeMapper;
export declare const O365ConnectorCardActionBase: CompositeMapper;
export declare const O365ConnectorCardSection: CompositeMapper;
export declare const O365ConnectorCard: CompositeMapper;
export declare const O365ConnectorCardViewAction: CompositeMapper;
export declare const O365ConnectorCardOpenUriTarget: CompositeMapper;
export declare const O365ConnectorCardOpenUri: CompositeMapper;
export declare const O365ConnectorCardHttpPOST: CompositeMapper;
export declare const O365ConnectorCardInputBase: CompositeMapper;
export declare const O365ConnectorCardActionCard: CompositeMapper;
export declare const O365ConnectorCardTextInput: CompositeMapper;
export declare const O365ConnectorCardDateInput: CompositeMapper;
export declare const O365ConnectorCardMultichoiceInputChoice: CompositeMapper;
export declare const O365ConnectorCardMultichoiceInput: CompositeMapper;
export declare const O365ConnectorCardActionQuery: CompositeMapper;
export declare const SigninStateVerificationQuery: CompositeMapper;
export declare const MessagingExtensionQueryOptions: CompositeMapper;
export declare const MessagingExtensionParameter: CompositeMapper;
export declare const MessagingExtensionQuery: CompositeMapper;
export declare const Activity: CompositeMapper;
export declare const MessageActionsPayloadUser: CompositeMapper;
export declare const MessageActionsPayloadApp: CompositeMapper;
export declare const MessageActionsPayloadConversation: CompositeMapper;
export declare const MessageActionsPayloadFrom: CompositeMapper;
export declare const MessageActionsPayloadBody: CompositeMapper;
export declare const MessageActionsPayloadAttachment: CompositeMapper;
export declare const MessageActionsPayloadMention: CompositeMapper;
export declare const MessageActionsPayloadReaction: CompositeMapper;
export declare const MessageActionsPayload: CompositeMapper;
export declare const TaskModuleRequest: CompositeMapper;
export declare const MessagingExtensionAction: CompositeMapper;
export declare const TaskModuleResponseBase: CompositeMapper;
export declare const Attachment: CompositeMapper;
export declare const MessagingExtensionAttachment: CompositeMapper;
export declare const MessagingExtensionSuggestedAction: CompositeMapper;
export declare const MessagingExtensionResult: CompositeMapper;
export declare const CacheInfo: CompositeMapper;
export declare const MessagingExtensionActionResponse: CompositeMapper;
export declare const MessagingExtensionResponse: CompositeMapper;
export declare const FileConsentCard: CompositeMapper;
export declare const FileDownloadInfo: CompositeMapper;
export declare const FileInfoCard: CompositeMapper;
export declare const FileUploadInfo: CompositeMapper;
export declare const FileConsentCardResponse: CompositeMapper;
export declare const TaskModuleTaskInfo: CompositeMapper;
export declare const TaskModuleContinueResponse: CompositeMapper;
export declare const TaskModuleMessageResponse: CompositeMapper;
export declare const TaskModuleResponse: CompositeMapper;
export declare const TaskModuleRequestContext: CompositeMapper;
export declare const AppBasedLinkQuery: CompositeMapper;
export declare const BatchOperationRequest: CompositeMapper;
export declare const BatchOperationResponse: CompositeMapper;
export declare const GetTeamsOperationStateResponse: CompositeMapper;
export declare const GetTeamsFailedEntriesResponse: CompositeMapper;
export declare const TeamsMember: CompositeMapper;
//# sourceMappingURL=mappers.d.ts.map
