/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
/**
 * Retry a given promise with gradually increasing delay when the HTTP status code received is 429(Too Many Requests).
 *
 * @param promise a function that returns a promise to retry.
 * @param maxRetries the maximum number of times to retry.
 * @param initialDelay the initial value to delay before retrying (in milliseconds).
 * @returns a promise resolving to the result of the promise from the promise generating function, or undefined.
 */
export declare function retryAction<T>(promise: (n: number) => Promise<T>, maxRetries: number, initialDelay?: number): Promise<T | undefined>;
//# sourceMappingURL=retryAction.d.ts.map
