/**
 * @module botframework-connector
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { AppCredentials } from './auth/appCredentials';
/**
 * The purpose of this class is to emulate an api client.
 */
export declare class EmulatorApiClient {
    /**
     * OAuth card emulation.
     *
     * @remarks If the emulation fails, an error containing the status code from the server is thrown.
     *
     * @param credentials [AppCredentials](xref:botframework-connector.AppCredentials) for OAuth.
     * @param emulatorUrl The URL of the emulator.
     * @param emulate `true` to send an emulated OAuth card to the emulator; or `false` to not send the card.
     * @returns `true` on a successful emulation of OAuthCards.
     */
    static emulateOAuthCards(credentials: AppCredentials, emulatorUrl: string, emulate: boolean): Promise<boolean>;
}
//# sourceMappingURL=emulatorApiClient.d.ts.map